Bug 989908 - oo-admin-usage reports "end time cannot be greater than the start time"" while start time is later than end time
oo-admin-usage reports "end time cannot be greater than the start time"" whi...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 03:11 EDT by Liang Xia
Modified: 2015-05-14 20:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:48:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Liang Xia 2013-07-30 03:11:14 EDT
Description of problem:
Try to show usage info via oo-admin-usage, with option --start and --end while start time greater than end time.
"The end time cannot be greater than the start time" will show. Actually, this should be "The start time cannot be greater than the end time"

Version-Release number of selected component (if applicable):
devenv_3580 

How reproducible:
always

Steps to Reproduce:
1.oo-admin-usage -l user --start 2013-07-30 --end 2013-07-18
2.
3.

Actual results:
"The end time cannot be greater than the start time"

Expected results:
"The start time cannot be greater than the end time"

Additional info:
Comment 1 Abhishek Gupta 2013-08-13 16:29:55 EDT
Fixed with --> https://github.com/openshift/origin-server/pull/3345
Comment 3 Liang Xia 2013-08-13 22:51:52 EDT
Verified on devenv_3646, it has been fixed.

# oo-admin-usage -l lxia -s 2013-09-01 -e 2013-08-01
The start time cannot be greater than the end time
== Synopsis

oo-admin-usage: List the usage data for a user. 
Note: The usage cost displayed is based on the usage duration and the usage rate. 
It does not take into account any unbilled usage by the billing provider.

== Usage

oo-admin-usage OPTIONS

Options:
-l|--login
    The user login whose usage data is to be displayed (required)
-a|--app
    The application name to filter the usage data 
-g|--gear
    The gear id to filter the usage data 
-s|--start
    The start date (yyyy-mm-dd) to filter the usage data (defaults to start of current month in UTC)
-e|--end
    The end date (yyyy-mm-dd) to filter the usage data (defaults to the current time in UTC)
-h|--help
    Show Usage info

Note You need to log in before you can comment on or make changes to this bug.